]> sipb.mit.edu Git - ikiwiki.git/blob - doc/bugs/Please_avoid_using___39__cp_-a__39___in_Makefile.PL.mdwn
response
[ikiwiki.git] / doc / bugs / Please_avoid_using___39__cp_-a__39___in_Makefile.PL.mdwn
1 In ikiwiki-2.60, external plug-ins are yet again installed using 'cp -a' instead of 'install -m 755'. This poses a problem on at least FreeBSD 6.x, since the cp(1) command doesn't support the '-a' flag.
2
3 The change in question (from 2.56 to 2.60) can be seen here:
4
5     -       for file in `find plugins -maxdepth 1 -type f ! -wholename plugins/.\*`; do \
6     -               install -m 755 $$file $(DESTDIR)$(PREFIX)/lib/ikiwiki/plugins; \
7     -       done; \
8     +       for file in `find plugins -maxdepth 1 -type f ! -wholename plugins/.\* | grep -v demo`; do \
9     +               cp -a $$file $(DESTDIR)$(PREFIX)/lib/ikiwiki/plugins; \
10     +       done \
11
12 Please restore the old behaviour of using 'install' :-)
13
14   -- [[HenrikBrixAndersen]]
15
16 > I use cp -a because I don't want non-executable files to be installed
17 > executable. (Causes breakage with setup file creation code) I really
18 > wish *BSD could get out of the 70's in this area..
19 > --[[Joey]]